/**
 * Interface for the parameters required by the getABExperimentBucket function.
 */
interface IParams {
    experimentName: string;
    uniqueId: string;
    treatmentSplit?: number;
    exposure?: number;
    controlVariantName?: string;
    treatmentVariantName?: string;
    ignoreVariantName?: string;
}
/**
 * Interface for the experiment data returned by the getABExperimentBucket function.
 */
interface IExperimentData {
    experimentName: string;
    uniqueId: string;
    resolvedVariant: string | null;
    isError?: boolean;
    error?: unknown;
}

declare const getABExperimentBucket: ({ experimentName, uniqueId, treatmentSplit, exposure, treatmentVariantName, controlVariantName, ignoreVariantName, }: IParams) => IExperimentData;

export { getABExperimentBucket };
